---
title: "Checkbox"
description: "A control that allows the user to toggle between checked and not checked."
component: true
---

<ComponentExample name="checkbox-demo" />

## Usage

---

```tsx
import { Checkbox } from "@medusajs/ui"
```

```tsx
<Checkbox />
```

## API Reference

---

<ComponentReference mainComponent="Checkbox" />

## Examples

---

### Default

<ComponentExample name="checkbox-default" />

### Checked

<ComponentExample name="checkbox-checked" />

### Disabled

<ComponentExample name="checkbox-disabled" />

### Indeterminate

<ComponentExample name="checkbox-indeterminate" />
